<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">


    <com.composition.android.lib.ad.widget.NativeAdView
        android:id="@+id/native_ad_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="8dp"
        app:ad_view_call_to_action="@id/btn_call_to_action_1"
        app:ad_view_icon="@id/iv_ad_icon_1"
        app:ad_view_media_content_group="@id/fl_ad_media_content_1"
        app:ad_view_title="@id/tv_ad_title_1"
        app:ad_view_title_desc="@id/tv_ad_title_desc_1"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:ad_auto_populate="false"
        app:native_ad_slot_name="native"
        app:native_admob_advertisers_root_view="@layout/layout_admob_native_ad_view_root">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_ad_root_1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_ad_icon_1"
                android:layout_width="50dp"
                android:layout_height="50dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:src="@tools:sample/avatars" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_ad_title_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:textColor="@color/black"
                android:textSize="16sp"
                app:layout_constraintStart_toEndOf="@id/iv_ad_icon_1"
                app:layout_constraintTop_toTopOf="@id/iv_ad_icon_1"
                tools:text="Ad Title" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_ad_title_desc_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="@id/tv_ad_title_1"
                app:layout_constraintTop_toBottomOf="@id/tv_ad_title_1"
                tools:text="Desc" />

            <FrameLayout
                android:id="@+id/fl_ad_media_content_1"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_ad_icon_1"
                tools:background="@tools:sample/backgrounds/scenic" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_call_to_action_1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/fl_ad_media_content_1" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.composition.android.lib.ad.widget.NativeAdView>


</androidx.constraintlayout.widget.ConstraintLayout>